//
// CHelpTask
//

// simple class to implement help files...

#ifndef __CHELPTASK_H__
#define __CHELPTASK_H__

class RWsSession;
class CEikApplication;
class TApaTask;

class CHelpTask : public CBase {
public:

    static CHelpTask* NewLC(const TFileName& aEikAppPath);
    virtual ~CHelpTask();

    void DisplayL();
    void Close();

private:

    void ConstructL(const TFileName& aEikAppPath);

    TBool LocateHelpTask(TApaTask& aTask);

    TBool     iHelpAppLaunched;
    TThreadId iHelpAppThreadId;

    TApaTask*   iTask;

    TFileName   iHelpFileName;

};

#endif // __CHELPTASK_H__